// Main program

#include <stdio.h>          // Standard I/O Header information
#include <stdlib.h>         // Standard Library Header information


// Execution starts here.

int main( int   argc,       // Number of arguments
          char *argv[],     // Pointer to array of characters
          char *env [] )    // Pointer to array of characters
{

  // A good exercise is to print the arguments and the environment
  // variables.  That can be done here.

  // For the simple programs we are writing, we require that there are
  // only two command-line arguments: the program name and one integer
  // argument.  Before we attempt to read the integer argument, we
  // check to see if we have two arguments.

  if ( argc != 2 ) {
    printf("argc value is not 2, but %d.\n", argc );
    exit ( argc );
  }

  int in, ans = 0;          // Declaration for integers "in" and "ans"

  in = atoi( argv[ 1 ] );   // Convert ASCII into an integer

  printf( "argv[ 1 ] is: %d.\n", in );  // Print the conversion result

  ans = in;

  // ans = times_7            ( in );
  // ans = is_ascii           ( in );
  // ans = is_character       ( in );
  // ans = remainder_by_8     ( in );
  // ans = negation           ( in );
  // ans = bit_count          ( in );
  // ans = overflow_3         ( in );
  // ans = bit_count          ( in );
  // ans = rearrange_bytes    ( in );
  // ans = your_own_challenge ( in );

  printf( "ans is: %d.\n", ans );      // Print the result

  // Test harness -- put your testing code here

  // printf("Test is working:  %d\n.", <test expression>);
  // End test harness

  exit ( 0 );
}
